## Name

orle-pix — convert old run-length encoded image to RGB pixel format

## Synopsis

`orle-pix` [-dv ] [ -b [`rgbwBG`]] [`file.rle`]

## DESCRIPTION

orle-fb decodes an old University of Utah standard (Edition-2) Run-Length Encoded (RLE) format file (saved with fb-orle(1), pix-orle(1), or a similar program), converts it into pix(5) format, and writes it to standard out. If file.rle is not specified, standard input is read. orle-pix determines the type and size of the saved file (color or B&W) and acts accordingly. If a non-linear colormap is stored in the RLE file, is is applied to the pixels as they are output.

`-d`

  Debug option, provides verbose description of file structure and processes called, written on standard error.

`-v`

  Provides a verbose description of the parameters of the saved image on standard error.

`-b` `x`

  The background of the image is normally set to the value recorded in the RLE file. This option permits the user to specify an alternate background color from a limited set of colors. The character x can be any of r (red), g (green), b (blue), w (white), B (black), or G (18% grey).

file.rle

  Name of file to decode, in old RLE format.

## EXAMPLE

orle-pix tank.rle > tank.pix

## SEE ALSO

brlcad(1), fb-orle(1), fb-rle(1), pix-fb(1), rle-pix(1), pix(5).

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.